Перейти из форума на сайт.


Система IP-видеонаблюдения "Линия". Скачать бесплатную демо-версию для 16 камер. НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » В помощь системному администратору » не работает Require all granted в Apache

Модерирует : lynx, Crash_Master, dg, emx, ShriEkeR

 Версия для печати • ПодписатьсяДобавить в закладки

Открыть новую тему     Написать ответ в эту тему

Volcano



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Возникла проблема с апачем, суть такова. Есть база 1С для заведения заявок, которая опубликована на веб-сервере в директорию, всё работает нормально. Но у неё есть функционал выставления оценок, с которым как раз проблема. Он опубликован в отдельную директорию и по ссылке должен ставить оценку заданию. Апач настроен пускать всех подряд в обе директории, авторизация проводится средствами 1С. В случае с самой базой так и происходит, но к оценкам доступа нет, выходит окно авторизации апача. В конфиге доступ к ним обоим настроен директивами AllowOverride All и Require all granted, но с одной базой они работают, а с другой нет.
Полный конфиг залил сюда - https://pastebin.com/yeVn6FEU . Имена директорий соответственно IT и ITrating.
 
В логах тоже толком ничего нет, в access.log единственное упоминание проблемного подключения:

Цитата:
10.20.11.86 - - [03/Oct/2017:13:45:02 +0300] "GET /ITrating/ru_RU/hs/score/set/58c6a194-6577-11e7-92ac-40f2e90df6c5/215f80e0-cb34-11e6-b86e-10c37b48fb46 HTTP/1.1" 401 -

И рядом же нормально работающее подключение к первой базе:

Цитата:
10.20.40.58 - - [03/Oct/2017:13:45:01 +0300] "POST /IT/ru_RU/e1cib/logForm?cmd=call HTTP/1.1" 200 2195
10.20.40.58 - - [03/Oct/2017:13:45:01 +0300] "POST /IT/ru_RU/e1cib/dlist?cmd=query HTTP/1.1" 200 2361

 
В итоге сама база 1с работает без авторизации апача, сразу 1с запрашивает логин-пароль, а вторая с теми же настройками спотыкается. Куда можно копать? Апач 2.4 на сервере 2008 р2.

Всего записей: 998 | Зарегистр. 31-07-2002 | Отправлено: 15:23 03-10-2017 | Исправлено: Volcano, 15:41 03-10-2017
Mavrikii

Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Volcano
А дескрипторы проверяли?

Всего записей: 5244 | Зарегистр. 20-09-2014 | Отправлено: 16:26 09-10-2017
Открыть новую тему     Написать ответ в эту тему

Компьютерный форум Ru.Board » Компьютеры » В помощь системному администратору » не работает Require all granted в Apache

Имя:
Пароль:
Сообщение

Для вставки имени, кликните на нем.

Опции сообщенияДобавить свою подпись
Подписаться на получение ответов по e-mail
Добавить тему в личные закладки
Разрешить смайлики?
Запретить коды


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2017

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru